Name:		imageinfo
Version:	0.05
Release:	12%{?dist}
Summary:	Extract attributes of digital images

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.wohlberg.net/public/software/photo/imageinfo/
Source0:	http://www.wohlberg.net/public/software/photo/imageinfo/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ImageMagick-devel, lcms-devel, autoconf
%if 0%{?fedora} >= 8
BuildRequires: popt-devel
%endif

Patch0: imageinfo-mgkcr.patch
Patch1: imageinfo-atcnf.patch

%description
ImageInfo computes and displays selected image attributes. It is
similar in function to the ImageMagick "identify" utility, but
provides a few additional attributes (such as details of embedded ICC
profiles), and allows command line selection of the attributes to be
computed, avoiding unnecessary computation and and allowing easier
parsing of results when this utility is called from a script.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README GPL ChangeLog NEWS
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Wed Sep 29 2010 jkeating - 0.05-12
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.05-11
- rebuild for new ImageMagick

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 12 2009 Brendt Wohlberg <osspkg@gmail.com> - 0.05-9
- Release bump due to unrecoverable tagging problem.

* Thu Mar 12 2009 Brendt Wohlberg <osspkg@gmail.com> - 0.05-8
- Rebuilt to deal with broken libMagickCore.so.1 dependency resulting
  from recent ImageMagick update.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun 15 2008 Brendt Wohlberg <osspkg@gmail.com> - 0.05-6
- Added patch to deal with autoconf changes in devel branch. 

* Sun Jun 15 2008 Brendt Wohlberg <osspkg@gmail.com> - 0.05-5
- Fixed application of patch in spec file (thanks for Dave Jones for 
  pointing out the problem). 

* Thu May 15 2008 Brendt Wohlberg <osspkg@gmail.com> - 0.05-4
- Added patch for recent rename of Magick-config to MagickCore-config

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.05-3
- Autorebuild for GCC 4.3

* Mon Oct  8 2007 Brendt Wohlberg <osspkg@gmail.com> - 0.05-2
- Modified for Fedora 8 popt-devel dependency

* Fri Sep 14 2007 Brendt Wohlberg <osspkg@gmail.com> - 0.05-1
- Fixed some spec file problems, various minor improvements

* Wed Mar 15 2006 Brendt Wohlberg <osspkg@gmail.com> - 0.03-2
- Added missing popt dependency

* Tue Aug 17 2005 Brendt Wohlberg <osspkg@gmail.com> - 0.02-2
- Removed BuildArchitectures tag and added BuildRequires tag

* Tue Mar 29 2005 Brendt Wohlberg <osspkg@gmail.com> - 0.02-1
- Created spec file
